﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropFrameworkPOC
{
  public interface IDragSource
  {
    bool IsDraggable { get; }
    ObservableCollection<string> DragChannels { get; }
    object DropArgument { get; }
  }

  public interface IDropTarget
  {
    bool IsDropTarget { get; }
    void OnDropped(object arg);
    ObservableCollection<string> DropChannels { get; }
  }
}
